-----------------------------------------------------------
--Search and Replace All as follows:
-- 1) Replace <DB> with the name of the database to create.
--    (e.g., Substitute Dining for <DB> be sure to delete the angle brackets)
-- 2) Replace <PATH> with the full path to this file and 
--    others associated with it. Ensure it ends with a 
--    backslash. e.g., replace <PATH> with C:\MyDatabases\
-----------------------------------------------------------
--
IF NOT EXISTS(SELECT * FROM sys.databases
          WHERE name = N'<DB>')
	CREATE DATABASE <DB>
GO
USE <DB>
--
-- Alter the path so the script can find the CSV files
--
DECLARE
   @data_path nvarchar(256);
SELECT @data_path = '<PATH>';
--
--GO
-- =======================================
-- Delete existing tables
--
If Exists(SELECT * FROM sys.tables WHERE name = N'CarSales') drop table CarSales;
--
-- Create tables
--

CREATE TABLE CarSales
(
	[YearMonth] int,
	[TotalVehicles] decimal(7,2) NULL,
	[DomesticCars] decimal(7,2) NULL,
	[ForeignCars] decimal(7,2) NULL,
	[DomesticTrucks] decimal(7,2) NULL,
	[ForeignTrucks] decimal(7,2) NULL,
	[DomesticHeavyTrucks] decimal(7,2) NULL,
	 CONSTRAINT pk_CarSales PRIMARY KEY (YearMonth)
);
--
-- Load table data
-- 1: CarSales
--
EXECUTE (N'BULK INSERT CarSales FROM ''' + @data_path + N'CarSalesMonthly2012.csv''
WITH (
    CHECK_CONSTRAINTS,
    CODEPAGE=''ACP'',
    DATAFILETYPE = ''char'',
    FIELDTERMINATOR= '','',
    ROWTERMINATOR = ''\n'',
    KEEPIDENTITY,
    TABLOCK
);');


GO
-- ====================================
-- List the table names and row counts
SET NOCOUNT ON
SELECT 'CarSales' "Table", COUNT(*) "Rows" FROM CarSales
ORDER BY 1;
SET NOCOUNT OFF
Go

